#version 460 core

#extension GL_EXT_nonuniform_qualifier : enable

layout(location = 0) in vec2 frag_uv;
layout(location = 1) in vec4 frag_c;
layout(location = 2) in flat uint texid;

layout(location = 0) out vec4 framebuffer;

layout(binding = 1) uniform sampler2D u_images[];

void main() {
	framebuffer = frag_c * texture(u_images[texid], frag_uv);
}
